package com.crm.web.dao.repository;

import com.crm.rely.backend.dao.repository.BaseRepository;
import com.crm.rely.backend.model.pojo.table.WebInformationTable;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;

@Repository
public interface WebInformationRepository extends BaseRepository<WebInformationTable> {

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    WebInformationTable findFirstById(Long id);

    WebInformationTable getFirstById(Long id);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    List<WebInformationTable> findAllByIdIn(List<Long> ids);

    List<WebInformationTable> getAllByIdNotIn(List<Long> ids);
}
